[Overview][Classes][Index] | Reference for unit 'IniFiles' (#fcl)

# TIniFile.EraseSection

## Declaration

Source position: inifiles.pp line 184

`public procedure TIniFile.EraseSection(`
`const Section: String`
`); override;`

## Arguments

`Section` |  | Section to erase

## Description

Erasesection deletes the section Section from memory, if CacheUpdates is False, then the file is immediatly updated on disk. This method is the implementation of the abstract TCustomIniFile.EraseSection method.

## See also

TCustomIniFile.EraseSection |  | Clear a section
TIniFile.ReadSection |  | Read the key names in a section
TIniFile.ReadSections |  | Read section names

The latest version of this document can be found at lazarus-ccr.sourceforge.net.